Serializer
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.state.observers
Class Serializer

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.state.observers.ScopeObserver
          org.gcube.vremanagement.resourcemanager.impl.state.observers.Serializer

All Implemented Interfaces:
  java.util.Observer

    public class Serializer

extends ScopeObserver

Serializer for `ScopeState`

Author:
  Manuele Simi (ISTI-CNR)

Field Summary
`static java.io.File` | `persistentList`

Constructor Summary
`Serializer()`

Method Summary
`static void` | `load(ScopeState scopeState, GCUBEScope scope)` Loads the list of `ScopedResource` from the local file system
`static void` | `store(ScopeState scopeState)`

Methods inherited from class org.gcube.vremanagement.resourcemanager.impl.state.observers.ScopeObserver
`update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### persistentList

    public static final java.io.File persistentList

Constructor Detail

### Serializer

    public Serializer()

Method Detail

### store

    public static void store(ScopeState scopeState)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public static void load(ScopeState scopeState,
                            GCUBEScope scope)
                     throws java.io.IOException

  Loads the list of `ScopedResource` from the local file system

  Parameters:
    `the` - actual scope
  Throws:
    `java.io.IOException` - if the list was not found on the file system

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD